Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.kernel.spi.event
Interface KernelEventEmitter

All Known Subinterfaces:
  KernelBus, KernelConfig, KernelConfigurator, KernelController, KernelEventManager, KernelObject, KernelRegistry

All Known Implementing Classes:
  AbstractEventEmitter, AbstractEventManager, AbstractKernelBus, AbstractKernelConfig, AbstractKernelConfigurator, AbstractKernelController, AbstractKernelObject, AbstractKernelRegistry

public interface KernelEventEmitter

An event emitter

Version:
  $Revision: 1.2 $
Author:
  Adrian Brock

Method Summary
`void` | `fireKernelEvent(KernelEvent event)` Fire an event
`void` | `registerListener(KernelEventListener listener, KernelEventFilter filter, Object handback)` Register a listener
`void` | `unregisterListener(KernelEventListener listener, KernelEventFilter filter, Object handback)` Unregister a listener

Method Detail

### registerListener

    public void registerListener(KernelEventListener listener,
                                 KernelEventFilter filter,
                                 Object handback)
                          throws Throwable

  Register a listener

  Parameters:
    `listener` - the listener
    `filter` - the filter
    `handback` - the handback object
  Throws:
    `Throwable` - for any error

### unregisterListener

    public void unregisterListener(KernelEventListener listener,
                                   KernelEventFilter filter,
                                   Object handback)
                            throws Throwable

  Unregister a listener

  Parameters:
    `listener` - the listener
    `filter` - the filter
    `handback` - the handback object
  Throws:
    `Throwable` - for any error

### fireKernelEvent

    public void fireKernelEvent(KernelEvent event)

  Fire an event

  Parameters:
    `event` - the event

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 JBoss Inc. All Rights Reserved.